Bug 483477 - PackageKit-gstreamer-plugin fails on kde install
PackageKit-gstreamer-plugin fails on kde install
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 11:43 EST by Oliver Henshaw
Modified: 2009-02-12 06:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 06:52:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 183190 None None None Never

  None (edit)
Description Oliver Henshaw 2009-02-01 11:43:01 EST
Description of problem:

I have totem installed on a kde install. I installed PackageKit-gstreamer-plugin, hoping it would do its gstreamer codec installing magic. But it doesn't work. For example, .xsession-errors output on attempting to play an mp3 file is:

** (totem:4209): WARNING **: Failed to create dbus proxy for org.gnome.SettingsDaemon: Could not get owner of name 'org.gnome.SettingsDaemon': no such name
** Message: don't know how to handle audio/mpeg, mpegversion=(int)1, layer=(int)3
** Message: Error: You do not have a decoder installed to handle this file. You might need to install the necessary plugins.
gstplaybasebin.c(2307): prepare_output (): /GstPlayBin:play

** Message: Missing plugin: gstreamer|0.10|totem|MPEG-1 Layer 3 (MP3) decoder|decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3 (MPEG-1 Layer 3 (MP3) decoder)
** Message: PackageKit: xid = 60817417
** Message: PackageKit: Codec nice name: MPEG-1 Layer 3 (MP3) decoder
** Message: PackageKit: structure: gstreamer0.10(decoder-audio/mpeg)(mpegversion=1)(layer=3)
** Message: PackageKit: Did not install codec: The name org.freedesktop.PackageKit was not provided by any .service files
** Message: No installation candidate for missing plugins found.
** Message: don't know how to handle audio/mpeg, mpegversion=(int)1, layer=(int)3
** Message: Error: You do not have a decoder installed to handle this file. You might need to install the necessary plugins.
gstplaybasebin.c(2307): prepare_output (): /GstPlayBin:play

** Message: Missing plugin: gstreamer|0.10|totem|MPEG-1 Layer 3 (MP3) decoder|decoder-audio/mpeg, mpegversion=(int)1, layer=(int)3 (ignoring)
** Message: All missing plugins are blacklisted, doing nothing


Version-Release number of selected component (if applicable):

totem-2.24.3-1.fc10.i386
PackageKit-udev-helper-0.3.13-1.fc10.i386
PackageKit-yum-0.3.13-1.fc10.i386
PackageKit-glib-0.3.13-1.fc10.i386
PackageKit-qt-0.3.13-1.fc10.i386
PackageKit-gstreamer-plugin-0.3.13-1.fc10.i386
kpackagekit-0.3.1-9.fc10.i386
PackageKit-yum-plugin-0.3.13-1.fc10.i386
PackageKit-0.3.13-1.fc10.i386
PackageKit-browser-plugin-0.3.13-1.fc10.i386
gstreamer-tools-0.10.21-2.fc10.i386
gstreamer-0.10.21-2.fc10.i386
gstreamer-plugins-good-0.10.11-4.fc10.i386
gstreamer-plugins-base-0.10.21-2.fc10.i386
gstreamer-plugins-flumpegdemux-0.10.15-4.fc10.i386
totem-gstreamer-2.24.3-1.fc10.i386


How reproducible:

Open totem, attempt to play file requiring uninstalled gstreamer codec (e.g. mp3, youtube video)
Comment 1 Richard Hughes 2009-02-02 06:31:18 EST
(In reply to comment #0)
> ** Message: PackageKit: Did not install codec: The name
> org.freedesktop.PackageKit was not provided by any .service files

KPackageKit needs to support the session interface. If you install gnome-packagekit and then start gpk-update-icon the codec install will work.

Richard.
Comment 2 Steven M. Parrish 2009-02-04 06:37:54 EST
Thank you for the bug report.  This issue needs to be addressed by the upstream developers.  Please submit a report at http://bugs.kde.org. You are requested to add the bugzilla link here for tracking purposes. Please make sure the bug isn't already in the upstream bug tracker before filing it.
Comment 3 Oliver Henshaw 2009-02-04 10:25:01 EST
Apparently attaching an external bug doesn't clear needinfo.
Comment 4 Steven M. Parrish 2009-02-12 06:52:14 EST
Thanks for reporting this upstream. Will monitor for a resolution.

Note You need to log in before you can comment on or make changes to this bug.